<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.xxfc.discovery">

    <uses-permission android:name="android.permission.FLASHLIGHT" />

    <uses-feature android:name="android.hardware.camera" />
    <uses-feature android:name="android.hardware.camera.autofocus" />

    <uses-permission android:name="android.permission.RECORD_AUDIO" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_SETTINGS" />

    <application>
        <activity android:name=".other.SelectVideoActivity"></activity>
        <activity
            android:name=".other.ShortVideoActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".other.PatGeneratePosterActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".other.MapLocationActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".other.CameraViewActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".other.SendVideoActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".other.DetailPatActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".other.PostPatActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".other.DetailQuestionAndAnswerActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".other.PublishingProblemActivity"
            android:screenOrientation="portrait" />
    </application>

</manifest>